﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TohleBudeUkol
{
    static class EnumerableUtils
    {
        public static void AddIfNotContains<T>(this List<T> list, T element)
        {
            if (!list.Contains<T>(element))
                list.Add(element);
        }

        public static List<T> Clone<T>(this List<T> listToClone)
        {
            return listToClone.Select(item => (T)item).ToList();
        }
    }
}
