﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TohleBudeUkol
{
    class StonesReserve
    {
        private List<Stone>[] originalStones;
        private List<Stone>[] currentStones;

        public StonesReserve(List<Stone>[] stones)
        {
            originalStones = stones;
            currentStones = new List<Stone>[originalStones.Length];
            for (int i = 0; i < originalStones.Length; i++)
                currentStones[i] = originalStones[i].Clone();

        }

        public Stone GetStoneFor(int columnIndex)
        {
            List<Stone> reserveStones = currentStones[columnIndex];
            if (reserveStones.Count == 0)
            {
                currentStones[columnIndex] = originalStones[columnIndex].Clone();
                reserveStones = currentStones[columnIndex];
            }
            Stone toBeReturned = reserveStones[0];
            reserveStones.RemoveAt(0);
            return toBeReturned;
        }
    }
}
